using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DevExpress.XtraEditors;

namespace ProjectMalekiyatArazi.BaseForm
{
    public partial class BaseList : BaseForm
    {
        public BaseList()
        {
            InitializeComponent();
        }

        private void BaseList_KeyDown(object sender, KeyEventArgs e)
        {
            if ((e.Control == true) && (e.KeyCode == Keys.P))
            {
                
            }

            if (!e.Shift && !e.Control && !e.Alt)
            {
                switch (e.KeyCode)
                {
                    case Keys.Enter:
                        //this.PressSaveRecord(true);
                        break;
                    case Keys.F2:
                        //this.PressEditRecord(true);
                        break;
                    case Keys.Delete:
                        //this.PressDeleteRecord(true);
                        break;
                    case Keys.F12:
                        //this.PressAddRecord(true);
                    case Keys.F5:
                        //this.PressRefreshRecord(true);
                        break;
                    default:
                        break;
                }
            }
            //----------------------------
        }
    }
}
